> For the complete documentation index, see [llms.txt](https://docs.whiteswan.io/partner-knowledge-base/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.whiteswan.io/partner-knowledge-base/api-documentation/information-calls/commission-line-item-s.md).

# Commission Line Item(s)

Use this endpoint to retrieve individual commission line items from your White Swan account. Commission line items are the discrete earnings events that make up a payout — each one represents a single commission payment tied to a specific case, carrier, and advisor. You can filter results using query parameters to narrow down by company, user, carrier, case, date range, and more.

{% hint style="info" %}
Commission line item data is only available on the **Digital Agent Plan** and **Concierge Plan**. This endpoint will not return data for accounts on the **Innovator Plan**.
{% endhint %}

## API Method

{% hint style="success" %}
**POST** `https://app.whiteswan.io/api/1.1/wf/commission_line_items`

Returns a paginated list of commission line items, optionally filtered by the query parameters below.
{% endhint %}

### Headers

| Name            | Type | Description            |
| --------------- | ---- | ---------------------- |
| Authorization\* | Text | Bearer \<YOUR API KEY> |
| Content-Type\*  | Text | application/json       |
| Accept\*        | Text | application/json       |
| user-agent\*    | Text | \<YOUR APP>            |

### Query Parameters

All query parameters are optional.

| Parameter                        | Type    | Description                                                                                                |
| -------------------------------- | ------- | ---------------------------------------------------------------------------------------------------------- |
| payor\_company\_id               | Text    | Filter by White Swan payor company ID                                                                      |
| payor\_company\_external\_id     | Text    | Filter by your internal payor company ID                                                                   |
| payor\_company\_name             | Text    | Filter by payor company name                                                                               |
| recipient\_company\_id           | Text    | Filter by White Swan recipient company ID                                                                  |
| recipient\_company\_external\_id | Text    | Filter by your internal recipient company ID                                                               |
| recipient\_user\_email           | Text    | Filter by recipient user email                                                                             |
| recipient\_user\_external\_id    | Text    | Filter by your internal recipient user ID                                                                  |
| advisor\_email                   | Text    | Filter by writing advisor email                                                                            |
| advisor\_external\_id            | Text    | Filter by your internal writing advisor ID                                                                 |
| carrier\_name                    | Text    | Filter by carrier name — see carrier enum in [Onboard Agency](https://litter.catbox.moe/onboard-agency.md) |
| case\_id                         | Text    | Filter by associated case ID                                                                               |
| start\_date                      | Text    | Return only items on or after this date (ISO 8601)                                                         |
| end\_date                        | Text    | Return only items on or before this date (ISO 8601)                                                        |
| page                             | Integer | Page number for paginated results                                                                          |

<details>

<summary>Sample payload</summary>

{% code overflow="wrap" %}

```json
{
  "payor_company_id": "1776772304993x900000000000000010",
  "payor_company_external_id": "ext_payor_12345",
  "payor_company_name": "John Hancock",
  "recipient_company_id": "1776772304993x692932671527100400",
  "recipient_company_external_id": "ext_recipient_67890",
  "recipient_user_email": "jane.doe@acme.com",
  "recipient_user_external_id": "1776772304993x812345678901234567",
  "advisor_email": "advisor@acme.com",
  "advisor_external_id": "1776772304993x823456789012345678",
  "carrier_name": "Nationwide",
  "case_id": "1776772304993x900000000000000201",
  "page": 1,
  "start_date": "2026-01-01T00:00:00Z",
  "end_date": "2026-12-31T23:59:59Z"
}
```

{% endcode %}

</details>

{% hint style="info" %}
Please note that the sample body payload above contains all possible parameters for your reference. In an actual call, you don't need to use all (or any) parameters.
{% endhint %}

### Pagination

Responses are paginated. Use the `page` query parameter to navigate through results. The response always includes the following pagination fields:

| Field           | Type    | Description                                                |
| --------------- | ------- | ---------------------------------------------------------- |
| page            | Integer | Current page number                                        |
| page\_size      | Integer | Number of commission line items returned on this page      |
| total           | Integer | Total count of commission line items matching your filters |
| has\_next\_page | Boolean | Whether a subsequent page of results exists                |

### Response Codes

| Code                      | Description         |
| ------------------------- | ------------------- |
| 200 OK                    | Call succeeded      |
| 400 Bad Request           | Call failure        |
| 401 Unauthorized          | Permission denied   |
| 429 Too Many Requests     | Rate limit exceeded |
| 500 Internal Server Error | Internal error      |

<details>

<summary>Sample return payload</summary>

{% code overflow="wrap" %}

```json
{
  "commission_line_items": [
    {
      "line_item_id": "li_abc123",
      "line_item_external_id": "ext_li_001",
      "amount": 1250,
      "premium_payment": 5000,
      "premium_commission_percentage": 0.25,
      "payment_date": "2024-03-15T00:00:00Z",
      "statement_date": "2024-03-01T00:00:00Z",
      "payout_id": "payout_xyz789",
      "linked_case": "case_def456",
      "linked_case_insured_name": "John Doe",
      "linked_advisor": "user_ghi789",
      "linked_advisor_name": "Jane Smith",
      "advisor_split_percentage": 0.8,
      "linked_carrier": "carrier_jkl012",
      "linked_carrier_name": "John Hancock",
      "payment_recipient_id": "company_mno345",
      "payment_recipient_name": "Acme Insurance Group",
      "payor_id": "carrier_jkl012",
      "payor_name": "John Hancock",
      "payment_type": "Retained",
      "commission_type": "Life First Year"
    }
  ],
  "page": 1,
  "page_size": 1,
  "total": 42,
  "has_next_page": true
}
```

{% endcode %}

</details>

### Response Fields

The response returns a `commission_line_items` array alongside pagination fields. Each object in the array has the following shape:

| Field                           | Type   | Description                                                                 |
| ------------------------------- | ------ | --------------------------------------------------------------------------- |
| line\_item\_id                  | Text   | White Swan internal line item ID.                                           |
| line\_item\_external\_id        | Text   | External line item ID.                                                      |
| amount                          | Number | Commission amount in USD.                                                   |
| premium\_payment                | Number | Size of the premium payment that generated this commission.                 |
| premium\_commission\_percentage | Number | Percentage of the premium paid as commission (decimal under 1).             |
| payment\_date                   | Text   | Date payment was made (ISO 8601).                                           |
| statement\_date                 | Text   | Date of the associated statement (ISO 8601).                                |
| payout\_id                      | Text   | ID of the associated payout, if available.                                  |
| linked\_case                    | Text   | ID of the associated case.                                                  |
| linked\_case\_insured\_name     | Text   | Name of the insured on the associated case.                                 |
| linked\_advisor                 | Text   | ID of the writing advisor.                                                  |
| linked\_advisor\_name           | Text   | Name of the writing advisor.                                                |
| advisor\_split\_percentage      | Number | Percentage of the commission paid to the writing advisor (decimal under 1). |
| linked\_carrier                 | Text   | ID of the carrier associated with this payment.                             |
| linked\_carrier\_name           | Text   | Name of the carrier.                                                        |
| payment\_recipient\_id          | Text   | ID of the payment recipient.                                                |
| payment\_recipient\_name        | Text   | Name of the payment recipient.                                              |
| payor\_id                       | Text   | ID of the payor.                                                            |
| payor\_name                     | Text   | Name of the payor.                                                          |
| payment\_type                   | Text   | Type of payment — see options below.                                        |
| commission\_type                | Text   | Type of commission — see options below.                                     |

## Payment Type Options

* Retained
* Flat
* Net Retained
* Affiliate
* Flat - Estimated
* Fee
* First Case Bonus
* BackNine Policy Fee
* Chargeback

## Commission Type Options

* Annuity Bonus
* Annuity First Year
* Annuity Renewal
* Disability Bonus
* Disability Excess
* Disability First Year
* Disability Renewal
* Life Bonus
* Life Excess
* Life First Year
* Life PUA
* Life Renewal
* Life Term Rider
* Linked Benefit Bonus
* Linked Benefit Excess
* Linked Benefit First Year
* Linked Benefit PUA
* Linked Benefit Renewal
* Linked Benefit Term Rider
* LTC Bonus
* LTC First Year
* LTC Renewal
* Variable Life Bonus
* Variable Life Excess
* Variable Life First Year
* Variable Life Renewal
* Minimum Fee
